Get case
curl --request GET \
--url https://api-stage.karmacheck.io/case/id/{caseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/case/id/{caseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/case/id/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
{
"id": "<string>",
"crStamp": "2024-05-23T17:21:07.000+00:00",
"crUserId": "<string>",
"caseTypeId": "cde61186-4f22-45f4-9e19-429061365bce",
"caseType": "Background Check",
"modStamp": "2024-06-04T19:19:39.000+00:00",
"packageName": "<string>",
"packageId": "<string>",
"groupProfileId": "<string>",
"groupName": "<string>",
"caseInvitationId": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"invitationEmail": "<string>",
"isMinorCandidate": 123,
"hasParentalConsent": 123,
"isCustomerProvidedPii": 123,
"archived": 123,
"orderedStamp": "2024-05-23T17:21:07.000+00:00",
"companyReadableName": "<string>",
"candidateId": "<string>",
"candidateEmail": "<string>",
"candidateGivenName": "<string>",
"candidateFamilyName": "<string>",
"packageCompanyName": "<string>",
"billingReferenceId": "<string>",
"invitationGivenName": "<string>",
"invitationFamilyName": "<string>",
"companyCommonName": "<string>",
"companyLogo": "<string>",
"serviceGroupId": "<string>",
"adverseActionId": "<string>",
"apiTrackingCode": "<string>",
"apiTrackingUser": "<string>",
"beginOnboardingStamp": "2024-05-23T17:21:07.000+00:00",
"completedOnboardingStamp": "2024-05-23T17:21:08.000+00:00",
"beginProcessingStamp": "2024-05-23T17:21:08.000+00:00",
"completedInitialProcessingStamp": "2024-05-23T17:21:12.000+00:00",
"completedLatestProcessingStamp": "2024-05-23T17:21:12.000+00:00"
}
]
}Cases
Get case
Retrieves the details of a case by its ID. The response includes summary-level information with IDs for accessing details using other endpoints.
GET
/
case
/
id
/
{caseId}
Get case
⌘I